    using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Massa
{
        public class Massa
    {

        public static void Main()
        {

            CategoryBuilder.Create("Bimba Company", "Category with best weapons from Great Bimba Company.", ModAPI.LoadSprite("CategoryThumb.png"));


            ModAPI.Register(
                 new Modification()
                 {
                     OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                     NameOverride = "BIR-1",
                     NameToOrderByOverride = "",
                     DescriptionOverride = "First rifle Bimba made, only common soldier's use it at the old times when the Bimba Company first appeared at this world, now that rifle the most bad at all rifles that been created ever at our Company. Based on M1 Carbine",
                     CategoryOverride = ModAPI.FindCategory("Bimba Company"),
                     ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/BIR-1 S.png"),
                     AfterSpawn = (Instance) =>
                     {
                         ModAPI.KeepExtraObjects();

                         var BIRSlide = Instance.transform.Find("Slide");
                         BIRSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BIRSlide.png");

                         Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/Bir-1.png");
                         foreach (var c in Instance.GetComponents<Collider2D>())
                         {
                             GameObject.Destroy(c);
                         }
                         Instance.FixColliders();
                         Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
                         Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.76f, 0.095f);

                         var firearm = Instance.GetComponent<FirearmBehaviour>();
                         firearm.Automatic = false;
                         firearm.AutomaticFireInterval = 0.2f;


                         firearm.ShotSounds = new AudioClip[]
                         {
                              ModAPI.LoadSound("Sounds/MA1.mp3"),

                         };

                         Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                         customCartridge.name = "MA2";
                         customCartridge.Damage *= 5f;
                         customCartridge.Recoil *= 2f;
                         customCartridge.ImpactForce *= 4f;
                         firearm.Cartridge = customCartridge;
                     }
                 }
             );
             ModAPI.Register(
                  new Modification()
                  {
                      OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                      NameOverride = "BIR-2",
                      NameToOrderByOverride = "",
                      DescriptionOverride = "Second version of BIR-1. Now that gun have more damage and better impact for enemy. After creating this rifle, Bimba Company became more larger and powerfull. Based on Gewer 43",
                      CategoryOverride = ModAPI.FindCategory("Bimba Company"),
                      ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/BIR-2 S.png"),
                      AfterSpawn = (Instance) =>
                      {
                          ModAPI.KeepExtraObjects();

                          var RPDSlide2 = Instance.transform.Find("Slide");
                          RPDSlide2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("RPDSlide2.png");

                          Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/BIR-2.png");
                          foreach (var c in Instance.GetComponents<Collider2D>())
                          {
                              GameObject.Destroy(c);
                          }
                          Instance.FixColliders();
                          Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
                          Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.76f, 0.095f);

                          var firearm = Instance.GetComponent<FirearmBehaviour>();
                          firearm.Automatic = false;
                          firearm.AutomaticFireInterval = 0.5f;


                          firearm.ShotSounds = new AudioClip[]
                          {
                               ModAPI.LoadSound("Sounds/M4-2.wav"),

                          };

                          Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                          customCartridge.name = "MA2";
                          customCartridge.Damage *= 8f;
                          customCartridge.Recoil *= 4f;
                          customCartridge.ImpactForce *= 5f;
                          firearm.Cartridge = customCartridge;
                      }
                  }
              );
              ModAPI.Register(
                  new Modification()
                  {
                      OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                      NameOverride = "HDR-1",
                      NameToOrderByOverride = "",
                      DescriptionOverride = "First high damage rifle at our Company. Perfect rifle for our best snipers! My favourite weapon, hope you like it too! Based on Wichester rifle",
                      CategoryOverride = ModAPI.FindCategory("Bimba Company"),
                      ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/HDR-1 S.png"),
                      AfterSpawn = (Instance) =>
                      {
                          ModAPI.KeepExtraObjects();

                          var HDRslide = Instance.transform.Find("Slide");
                          HDRslide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("HDRslide.png");
                          HDRslide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

                          Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Physics/HDR-1 B.png", 10);
                          foreach (var c in Instance.GetComponents<Collider2D>())
                          {
                              GameObject.Destroy(c);
  						}
                          Instance.FixColliders();
                          Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/HDR-1.png");

                          var firearm = Instance.GetComponent<FirearmBehaviour>();
                          firearm.BulletsPerShot = 1;
                          firearm.barrelPosition = new Vector2(0.76f, 0.095f);
                          firearm.Automatic = false;
                          firearm.AutomaticFireInterval = 0.1f;
                          firearm.ShotSounds = new AudioClip[]
                          {
                                ModAPI.LoadSound("Sounds/MA4.mp3"),
                          };

                          Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                          customCartridge.name = "MA2";
                          customCartridge.Damage = 10f;
                          customCartridge.Recoil = 1.5f;
                          customCartridge.ImpactForce = 0.9f;
                          firearm.Cartridge = customCartridge;
  		    }
                  }
              );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "FA-7",
                    NameToOrderByOverride = "",
                    DescriptionOverride = "Last automatic gun that Bimba made. Very powerfull, good impact, not so big recoil and high damage. That gun have all of this!",
                    CategoryOverride = ModAPI.FindCategory("Bimba Company"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/FA-7 S.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        var RPDSlide = Instance.transform.Find("Slide");
                        RPDSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("RPDSlide.png");
                        RPDSlide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/FA-7.png");
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.67f, 0.061f);

                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                        firearm.Automatic = true;
                        firearm.AutomaticFireInterval = 0.1f;


                        firearm.ShotSounds = new AudioClip[]
                        {
                              ModAPI.LoadSound("Sounds/MA21.mp3"),

                        };

                        Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                        customCartridge.name = "MA2";
                        customCartridge.Damage *= 5f;
                        customCartridge.Recoil *= 3f;
                        customCartridge.ImpactForce *= 4f;
                        firearm.Cartridge = customCartridge;
                      }
                  }
                );
                        ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                                NameOverride = "Bim-Zirka",
                                NameToOrderByOverride = "",
                                DescriptionOverride = "Very big heavy gun with big damage. First heavy machine gun that was created at Bimba's Great Company. One guy like that gun and sandwiches too",
                                CategoryOverride = ModAPI.FindCategory("Bimba Company"),
                                ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Bim-Zirka S.png"),
                                AfterSpawn = (Instance) =>
                                {
                                  var Weapon = Instance.transform;
                                  var Cover = new GameObject("Cover");
                                  Cover.transform.SetParent(Weapon);
                                  Cover.transform.localPosition = new Vector3(0f, 0f);
                                  Cover.transform.rotation = Weapon.rotation;
                                  Cover.transform.localScale = new Vector3(1f, 1f);
                                  var CoverSprite = Cover.AddComponent<SpriteRenderer>();
                                  CoverSprite.sprite = ModAPI.LoadSprite("ZIRCover.png");
                                  CoverSprite.sortingOrder = 7;

                                    ModAPI.KeepExtraObjects();

                                    var ZIRSlide = Instance.transform.Find("Slide");
                                    ZIRSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ZIRSlide.png");
                                    ZIRSlide.GetComponent<SpriteRenderer>().sortingOrder = Instance.GetComponent<SpriteRenderer>().sortingOrder + 1;

                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/Bim-Zirka.png");
                                    foreach (var c in Instance.GetComponents<Collider2D>())
                                    {
                                        GameObject.Destroy(c);
                                    }
                                    Instance.FixColliders();
                                    Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
                                    Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.67f, 0.061f);

                                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                                    firearm.Automatic = true;
                                    firearm.AutomaticFireInterval = 0.14f;

                                    firearm.ShotSounds = new AudioClip[]
                                    {
                                          ModAPI.LoadSound("Sounds/EBR-1.wav"),
                                    };
                                    Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                                    customCartridge.name = "MA2";
                                    customCartridge.Damage *= 7f;
                                    customCartridge.Recoil *= 3f;
                                    customCartridge.ImpactForce *= 4f;
                                    firearm.Cartridge = customCartridge;
            }
        }
      );
	  ModAPI.Register(
        new Modification() {
          OriginalItem = ModAPI.FindSpawnable("Shotgun"),
            NameOverride = "Bimba's Boom Girl",
            DescriptionOverride = "Bimba's shotgun have so much power! Beware of him or you gonna go to heaven...",
            CategoryOverride = ModAPI.FindCategory("Bimba Company"),
            ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Boom Shotgun S.png"),
            AfterSpawn = (Instance) =>
            {

              ModAPI.KeepExtraObjects();

              var BOOMSlide = Instance.transform.Find("Slide");
              BOOMSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BOOMSlide.png");
              BOOMSlide.GetComponent<SpriteRenderer>().color = Color.white;
              BOOMSlide.localScale = new Vector3(1f, 1f);


              Instance.GetComponent < SpriteRenderer > ().sprite = ModAPI.LoadSprite("Weapons/Boom Shotgun.png");
              Instance.FixColliders();
              FirearmBehaviour firearm = Instance.GetComponent < FirearmBehaviour > ();
			  firearm.barrelPosition = new Vector3(0.526f,0.074f);
        firearm.ShotSounds = new AudioClip[]
          {
              ModAPI.LoadSound("Sounds/Tac-shot.wav"),
                ModAPI.LoadSound("Sounds/Tac-shot2.wav"),
                ModAPI.LoadSound("Sounds/Tac-shot3.wav"),
                };
          }
        }
      );
              ModAPI.Register(
   new Modification()
   {
       OriginalItem = ModAPI.FindSpawnable("Knife"),
       NameOverride = "Bimba's Knife",
       DescriptionOverride = "Deadly sharp knife with defense at handle. From hell furnace too, made with love from me!",
       CategoryOverride = ModAPI.FindCategory("Bimba Company"),
       ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/knife.png"),
       AfterSpawn = (Instance) =>
       {
           Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/Knife.png");
       }
   }
);
            ModAPI.Register(
   new Modification()
   {
       OriginalItem = ModAPI.FindSpawnable("Sword"),
       NameOverride = "Hell Sabre",
       DescriptionOverride = "Long sabre, made in hell furnace by me. Hell steel and sharp blade, for me that's my ugliest work",
       CategoryOverride = ModAPI.FindCategory("Bimba Company"),
       ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Hell Sabre S.png"),
       AfterSpawn = (Instance) =>
       {
           Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/Hell Sabre.png");
       }
   }
);
            ModAPI.Register(
   new Modification()
   {
       OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),
       NameOverride = "Bimba's Money Maker",
       DescriptionOverride = "With that classic you can get many money from stupid people! Used by all bandits and other tough guys",
       CategoryOverride = ModAPI.FindCategory("Bimba Company"),
       ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Money Maker S.png"),
       AfterSpawn = (Instance) =>
       {
           Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/Money Maker.png");
           Instance.FixColliders();

           Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Bulletproof");
       }
   }
);
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Revolver"),
                    NameOverride = "Bim-Mauser",
                    NameToOrderByOverride = "",
                    DescriptionOverride = "Small and compact gun, pretty old. Have not so big damage but he can kill you easily, beware of him! Based on Mauser",
                    CategoryOverride = ModAPI.FindCategory("Bimba Company"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Bim-Luger S.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/Bim-Luger.png");
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
                        Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.03123f;

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
                        {
                ModAPI.LoadSound("Sounds/MA-R4.wav"),
                        };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "Magnum";
                        customCartridge.Damage *= 5f;
                        customCartridge.Recoil *= 2f;
                        customCartridge.ImpactForce *= 3f;
                        firearm.Cartridge = customCartridge;
                      }
                  }
               );
                        ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Revolver"),
                    NameOverride = "Bimba's Peacemaker",
                    NameToOrderByOverride = "",
                    DescriptionOverride = "Legend of Wild West. One of the first revolver that been created ever. Now only Bimba's headquarters and veterans use that beautifyl angel, me too",
                    CategoryOverride = ModAPI.FindCategory("Bimba Company"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Burumba's Peacemaker S.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/Burumba's Peacemaker.png");
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
                        Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.03123f;
                        Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.30f, 0.090f);

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
                        {
                ModAPI.LoadSound("Sounds/MA-R3.mp3")
                        };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "Magnum";
                        customCartridge.Damage *= 8f;
                        customCartridge.Recoil *= 3f;
                        customCartridge.ImpactForce *= 6f;
                        firearm.Cartridge = customCartridge;
                      }
                  }
              );
              ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Revolver"),
                    NameOverride = "Bim-Retta",
                    NameToOrderByOverride = "",
                    DescriptionOverride = "That small and compact pistol based on Beretta. He have nice sound and good damage. New soldiers at Bimba's Company use that gun all time",
                    CategoryOverride = ModAPI.FindCategory("Bimba Company"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Bim-Retta S.png"),
                    AfterSpawn = (Instance) =>
                    {
                        ModAPI.KeepExtraObjects();

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Weapons/Bim-Retta.png");
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;
                        Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.03923f;

                        var firearm = Instance.GetComponent<FirearmBehaviour>();

                        firearm.ShotSounds = new AudioClip[]
                        {
                ModAPI.LoadSound("Sounds/MA-R1.mp3"),
                        };

                        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                        customCartridge.name = "Magnum";
                        customCartridge.Damage = 6f;
                        customCartridge.Recoil = 1f;
                        customCartridge.ImpactForce = 0.7f;
                        firearm.Cartridge = customCartridge;
                    }
                }
            );
            ModAPI.Register(
            new Modification()
{
        OriginalItem = ModAPI.FindSpawnable("Handgrenade"),
        NameOverride = "Bimba's Boom Grenade",
        DescriptionOverride = "First explosive thing that our engineers construct, one of the smallest grenade ever made. Explosive and painfull, you can throw it at enemy for a good blast! It can rip off your leg, beware of it...",
        CategoryOverride = ModAPI.FindCategory("Bimba Company"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Grenade S.png"),
        AfterSpawn = (Instance) =>

    {
      ModAPI.KeepExtraObjects();

      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Physics/Grenade B.png", 10);
      foreach (var c in Instance.GetComponents<Collider2D>())
      {
          GameObject.Destroy(c);
}
      Instance.FixColliders();

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Explosive/Grenade.png");
        Sprite on = ModAPI.LoadSprite("Explosive/Grenade Boom.png");
        Instance.AddComponent<UseEventTrigger>().Action = () =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = on;
          };
      }
  }

  );
                                                ModAPI.Register(
                                               new Modification()
                                               {
                                                   OriginalItem = ModAPI.FindSpawnable("Human"),
                                                   NameOverride = "Bimba's common soldier",
                                                   NameToOrderByOverride = "",
                                                   DescriptionOverride = "Our Company have more than 80 000 people of that class! He like's to shoot but big heavy guns, that what he dont like",
                                                   CategoryOverride = ModAPI.FindCategory("Bimba Company"),
                                                   ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Common Soldier S.png"),
                                                   AfterSpawn = (Instance) =>
                                                   {
                                                       var skin = ModAPI.LoadTexture("Humans/Common Soldier.png");
                                                       var flesh = ModAPI.LoadTexture("Humans/flesh.png");
                                                       var bone = ModAPI.LoadTexture("Humans/bone.png");
                                                       Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                                                       var person = Instance.GetComponent<PersonBehaviour>();

                                                       person.SetBodyTextures(skin, flesh, bone, 1);

                                                       person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                                                       person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                                                       person.SetThirdBruiseColor(120, 0, 0); // third bruise colour. light yellow by default
                                                       person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                                                       person.SetBloodColour(108, 0, 4);
                                                     }
                                                 }
                                                );
                                                ModAPI.Register(
                                                new Modification()
                                                {
                                                   OriginalItem = ModAPI.FindSpawnable("Human"),
                                                   NameOverride = "Heavy Weapons Guy",
                                                   NameToOrderByOverride = "",
                                                   DescriptionOverride = "A big boy... he like heavy guns and sandwiches. One of his favourite is Bim-Zirka and finger gun, but we dont have second",
                                                   CategoryOverride = ModAPI.FindCategory("Bimba Company"),
                                                   ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Heavy S.png"),
                                                   AfterSpawn = (Instance) =>
                                                   {
                                                       var skin = ModAPI.LoadTexture("Humans/Heavy.png");
                                                       var flesh = ModAPI.LoadTexture("Humans/flesh.png");
                                                       var bone = ModAPI.LoadTexture("Humans/bone.png");
                                                       Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                                                       var person = Instance.GetComponent<PersonBehaviour>();

                                                       person.SetBodyTextures(skin, flesh, bone, 1);

                                                       person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                                                       person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                                                       person.SetThirdBruiseColor(120, 0, 0); // third bruise colour. light yellow by default
                                                       person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                                                       person.SetBloodColour(108, 0, 4);
                                                     }
                                                 }
                                                );
            ModAPI.Register(
                                              new Modification()
                                              {
                                                  OriginalItem = ModAPI.FindSpawnable("Human"),
                                                  NameOverride = "Bimba's Engineer",
                                                  NameToOrderByOverride = "",
                                                  DescriptionOverride = "He had high IQ and good skills at contructing any things, cool glaces inluded with him",
                                                  CategoryOverride = ModAPI.FindCategory("Bimba Company"),
                                                  ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Engineer.png"),
                                                  AfterSpawn = (Instance) =>
                                                  {
                                                      var skin = ModAPI.LoadTexture("Humans/Engineer.png");
                                                      var flesh = ModAPI.LoadTexture("Humans/flesh.png");
                                                      var bone = ModAPI.LoadTexture("Humans/bone.png");
                                                      Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                                                      var person = Instance.GetComponent<PersonBehaviour>();

                                                      person.SetBodyTextures(skin, flesh, bone, 1);

                                                      person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
                                                       person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                                                       person.SetThirdBruiseColor(120, 0, 0); // third bruise colour. light yellow by default
                                                       person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                                                       person.SetBloodColour(108, 0, 4);


                    }
                }
            );
            ModAPI.Register(
     new Modification()
     {
         OriginalItem = ModAPI.FindSpawnable("Car"),
         NameOverride = "Bimba's Mustang",
         NameToOrderByOverride = "",
         DescriptionOverride = "Used by all good racers, only high class soldiers ride that Boy. He very expensive so take care of him and be affectionate",
         CategoryOverride = ModAPI.FindCategory("Bimba Company"),
         ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/car.png"),
         AfterSpawn = (Instance) =>
         {
             GameObject.Destroy(Instance.GetComponentInChildren<RandomCarTextureBehaviour>());
             Instance.transform.Find("Body").gameObject.AddComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                                 {
                                    ModAPI.LoadSprite("Cars/Boby.png"),
                                 };
             Instance.transform.Find("Bonnet").gameObject.AddComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                                 {
                                    ModAPI.LoadSprite("Cars/Bonnet.png"),
                                 };
             Instance.transform.Find("Boot").gameObject.AddComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                                 {
                                    ModAPI.LoadSprite("Cars/Boot.png"),
                                 };
             Instance.transform.Find("FrontDoor").gameObject.AddComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                                 {
                                    ModAPI.LoadSprite("Cars/FrontDoor.png"),
                                 };
             Instance.transform.Find("BackDoor").gameObject.AddComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                                 {
                                    ModAPI.LoadSprite("Cars/BackDoor.png"),
                                 };
             Instance.transform.Find("Body").Find("CarBodyBackground").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Cars/Backgrond.png");

         }
     }
         );


        }
    }
}
